program test
   implicit none
   integer::N,j1,j2
   double precision,dimension(:,:),allocatable::H

   open(unit=13,file='parameters.txt',status='old')
   read(13,*) N
   allocate(H(N,N))
   do j1=1,N
      do j2=1,N
         H(j1,j2)=j1+j2
      enddo
   enddo
   print*,H
end program test
